This product requires at least Windows workflow foundation version 3.0.4203.2 which is part of Microsoft .NET Framework 3.0

Hi All,

If you are trying to install MOSS 2007,or installing .Net Framework 3.0 redistributable package perior of MOSS installation, you might face an error :

“Set up is unable to proceed due to the following errors: This product requires at least Windows workflow foundation version 3.0.4203.2 which is part of Microsoft .NET Framework 3.0″

I tried all possible scenarios to fix this error and i set almost 4 hours to get a solution for this error,and after long period of searching over the internet and trying all posibble solutions,the only solution which works with me,is the following: when installing the .net framework redistributable package is not enough to fix this problem because its not the Full Package of .Net Framework 3.0,which is not available over any MS internet web site and i get it though on of the .net product team.

The Full .Net Framework 3.0 installer package download URL :

http://go.microsoft.com/fwlink/?LinkId=70848

No more Nightmares with MOSS installation………..Thanks God :)

Different error messages for the same problem posted on below blog :
http://blogs.msdn.com/astebner/archive/2006/10/30/net-framework-3-0-setup-log-files.aspx



Regards,
Mostafa arafa

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>